#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-JhhVmtZ4n7J8oSIq9PM6uH
key:                  lsp-1.6.0.0-JhhVmtZ4n7J8oSIq9PM6uH
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  d862f40672c6b60117cb3e5964ed0479
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-2mOBxjHL3U7WYpYgUoZnT:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-2mOBxjHL3U7WYpYgUoZnT:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-2mOBxjHL3U7WYpYgUoZnT:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-JhhVmtZ4n7J8oSIq9PM6uH
depends:
    aeson-2.1.2.1-GayFRV4oUv8L6a1HjAAkY
    async-2.2.5-cqcrAyJc5KBpUy7cUuVT7
    attoparsec-0.14.4-HI028cZ2WwJ53VFJd3R6KF base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-KHiGRWM1Oj6CMak12uvjyc
    containers-0.6.5.1 data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    lens-5.2.3-4MTOEd32V8S8DXXehXOq9T
    lsp-types-1.6.0.1-2mOBxjHL3U7WYpYgUoZnT mtl-2.2.2
    prettyprinter-1.7.1-2MeKyKCMKbLJBZLGxdt1b7
    random-1.2.1.2-F9rVStWFtZE3PBeMKQuK89
    sorted-list-0.2.2.0-5Rq9ZsbH4bJCu5DC6yICEJ stm-2.5.0.2
    temporary-1.3-DlPEuuewvsKrIwgXPFoMU text-1.2.5.0
    text-rope-0.3-3o9dslmtje1Dz1yj93o2Vj transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-1oXBHIneMBm69TPTD2tYrr
    uuid-1.3.15-63qdE9nM3EeCmWKqLIFIZw

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

